=== debian/changelog ===
tdb (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Use canonical URL in Vcs-Git header.
  * Specify branch in Vcs-Git header.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 06 Jul 2014 01:36:22 +0200
