=== debian/control ===
Source: tdb
Section: devel
Priority: optional
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>= 8.1.3),
               docbook-xml,
               docbook-xsl,
               python-all-dbg (>= 2.6.6-3),
               python-all-dev (>= 2.6.6-3),
               xsltproc
Homepage: http://tdb.samba.org/
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-samba/tdb.git -b unstable
XS-Testsuite: autopkgtest

Package: libtdb1
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Architecture: linux-any kfreebsd-any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Trivial Database - shared library
 This is a simple database API. It is modelled after the structure
 of GDBM. TDB features, unlike GDBM, multiple writers support with
 appropriate locking and transactions.
 .
 This package contains the shared library file.

Package: tdb-tools
Section: utils
Architecture: linux-any kfreebsd-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Trivial Database - bundled binaries
 This is a simple database API. It is modelled after the structure
 of GDBM. TDB features, unlike GDBM, multiple writers support with
 appropriate locking and transactions.
 .
 This package contains bundled test and utility binaries

Package: libtdb-dev
Provides: tdb-dev
Replaces: tdb-dev (<< 1.2.0-1)
Conflicts: tdb-dev (<< 1.2.0-1)
Section: libdevel
Architecture: linux-any kfreebsd-any
Depends: libc6-dev, libtdb1 (= ${binary:Version}), ${misc:Depends}
Description: Trivial Database - development files
 This is a simple database API. It is modelled after the structure
 of GDBM. TDB features, unlike GDBM, multiple writers support with
 appropriate locking and transactions.
 .
 This package contains the development files.

Package: libtdb1-dbg
Section: debug
Architecture: linux-any kfreebsd-any
Priority: extra
Depends: libtdb1 (= ${binary:Version}), ${misc:Depends}
Recommends: libc6-dbg
Description: Trivial Database - debug symbols
 This is a simple database API. It is modelled after the structure
 of GDBM. TDB features, unlike GDBM, multiple writers support with
 appropriate locking and transactions.
 .
 This package contains the debug symbols.

Package: python-tdb
Section: python
Architecture: linux-any kfreebsd-any
Depends: libtdb1 (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Description: Python bindings for TDB
 This is a simple database API. It is modelled after the structure
 of GDBM. TDB features, unlike GDBM, multiple writers support with
 appropriate locking and transactions.
 .
 This package contains the Python bindings.

Package: python-tdb-dbg
Section: debug
Architecture: linux-any kfreebsd-any
Priority: extra
Depends: python-tdb (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: python-dbg, libtdb1-dbg
Provides: ${python:Provides}
Description: Python bindings for TDB - debug extension
 This is a simple database API. It is modelled after the structure
 of GDBM. TDB features, unlike GDBM, multiple writers support with
 appropriate locking and transactions.
 .
 This package contains the Python debug extension.
