## tdb 1.3.4

=== debian/changelog ===
tdb (1.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 09 Jan 2015 15:03:02 +0000

tdb (1.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Update 40_test_transaction_expand_non_fatal.diff: Remove
    ignoring of tdb1-run-mutex-openflags2 test output,
    as the test was fixed upstream.

  * Add dh-python to Build-Depends.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 02 Dec 2014 21:03:18 +0000

tdb (1.3.2-1) unstable; urgency=medium

  * New upstream release.
   + Fixes __attribute__((visibility)) check to not use nested functions.
     Closes: #749986
  * Drop missing-stdbool-include.patch; now included upstream.
  * Update 40_test_transaction_expand_non_fatal.diff: Ignore tdb1-run-
    mutex-openflags2 test output, since newly added test fails on
    Debian.
  * Bump standards version to 3.9.6 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 01 Dec 2014 21:44:24 +0000
