=== debian/changelog ===
tdb (1.3.5-1) unstable; urgency=medium

  * Fix watch URL.
  * New upstream release.
  * Drop 01_reproducible_builds.diff: applied upstream.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 30 Apr 2015 23:48:52 +0000

tdb (1.3.4-2) unstable; urgency=medium

  * debian/rules: Pass CPPFLAGS from dpkg-buildflags onto configure,
    enabling hardening.
  * Make libtdb2-dbg Multi-Arch: same.
  * Add patch 01_reproducible_builds.diff: Make build reproducible by
    adding set dates to manpages.
  * debian/copyright: Fix paths for lib/replace.
  * debian/copyright: Add paragraph for most of tdb.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 26 Apr 2015 10:14:38 +0000
